#! /usr/local/bin/perl
BEGIN {
    $Is_Win32 = ($^O eq "MSWin32");
    $Is_Cygwin = ($^O =~ m/cygwin/g);
    if ($Is_Win32) {
      require 5.004_02;
    } elsif($Is_Cygwin) {
      require 5.005_03;
    } else {
      require 5.003_97;
    }
}
use ExtUtils::MakeMaker;
use Config;
use English;

@extras = ();

push(@extras,
     ABSTRACT_FROM => "Parser.pm",
     AUTHOR        => 'Pro Solutions (info@pro-solutions.com)')
  if ($ExtUtils::MakeMaker::Version >= 5.4301);

unless ($Is_Win32) {
  print "Checking for URI...";
  eval {
    require URI;
  };
  if ($URI::VERSION < 1.04) {
    print "I suggest upgrading from $URI::VERSION to 1.04+\n";
    sleep 2;
  }
  if ($@) {
    print "failed\n";
    print <<EOT;
$@
The URI module is needed by thie RDF::Parser package.
Please install at least version 1.04 of URI.

You should find the module at
http://cpan.valueclick.com/modules/by-category/15_World_Wide_Web_HTML_HTTP_CGI/URI/
EOT
    sleep (2); # Don't hurry too much
  } else {
    print "ok\n";
  }

  print "Checking for XML::Parser...";
  eval {
    require XML::Parser;
  };
  if ($XML::Parser::VERSION < 2.26) {
    print "I suggest upgrading from $XML::Parser::VERSION to 2.26+\n";
    sleep 2;
  }
  if ($@) {
    print "failed\n";
    print <<EOT;
$@
The XML-Parser module is needed by this RDF::Parser package.
Please install at least version 2.26 of XML-Parser.

You should find the module at
http://cpan.valueclick.com/modules/by-category/11_String_Lang_Text_Proc/XML/
EOT
    sleep (2); # Don't hurry too much
  } else {
    print "ok\n";
  }
}

WriteMakefile(
              NAME         => 'RDF::Parser',
              VERSION_FROM => 'Parser.pm',
              PREREQ_PM    => { XML::Parser => '2.26' },
              dist         => {COMPRESS => 'gzip', SUFFIX => '.gz'},
	      @extras
             );

