#!/usr/bin/perl
#
# (C)opyright 1999 Pro Solutions Ltd. <info@pro-solutions.com>
#
# main.pl - Example invocation of the RDF::Parser module
#
# $Log: main.pl,v $
# Revision 1.6  1999/10/13 12:30:38  js
# Improved management of relative URIs.
#
# Revision 1.5  1999/10/07 09:13:59  js
# Management of xml:lang added, License text polished.
#
# Revision 1.4  1999/09/24 15:25:40  js
# Added callback routine support.
#
# Revision 1.3  1999/09/09 11:47:03  js
# Management of Containers verified.
#
# Revision 1.2  1999/09/06 16:04:51  js
# 1st skeleton.
#
# Revision 1.1  1999/06/03 15:26:04  js
# 1st skeleton logged to CVS.
#
#
use strict;
use RDF::Parser;

#
# Read in arguments
#
my $file = $ARGV[0];
my $base = $ARGV[1];

if (!(defined $file)) {
  print "Usage: main.pl rdf-document [baseURI]\n";
  exit (0);
}

#
# Start parsing
#
my $parser = RDF::Parser->new;
#
# Set the base URI if available
#
if (defined $base) {
  $parser->base ($base);
}

#
# Register this application to the parser
#
$parser->registerTellable (\&start, \&end, \&assert, \&error);

#
# Start parsing from file
#
$parser->parsefile ($file);

#
# Collect the results
#
my @triples = $parser->triples ();

#
# Could go triples through one by one
#
#foreach my $triple (@triples) {
#  $triple->print ();
#}

sub start
  {
    my ($parser) = shift;
  }

sub end
  {
    my ($parser) = shift;
  }

sub assert
  {
    my ($parser) = shift;
    my ($triple) = shift;

    $triple->print();
  }

sub error
  {
    my ($parser) = shift;
    my ($msg)    = shift;

    print "error: parser = $parser, msg = $msg\n";
  }
